# -*- coding: utf-8 -*-
from setuphelpers import *
import platform

def update_package():
    print("Download/Update package content from upstream binary sources")

    # Initializing variables

    # Getting proxy informations from WAPT settings
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    # download binary
    package_version = control.version.split("-")[0]
    bin_name_x86 = "cwrsync_%s_x86_free.zip" % package_version
    download_html = wgets('https://itefix.net/cwrsync',proxies=proxies).splitlines()
    
    for line in download_html:
        if r'_x86_free.zip' in line:
            dl_version = line.split('_')[-3]
            break
    dl_url = "https://itefix.net/dl/free-software/cwrsync_{}_x86_free.zip".format(dl_version)
    
    if isfile(bin_name_x86):
        if dl_version != package_version:
            print("removing old binary !")
            remove_file(bin_name_x86)
            print("downloading binary")
            wget(dl_url, "cwrsync_%s_x86_free.zip" % dl_version, proxies=proxies)
        else:
            print("last version binary, skip download")
    else:
        print("downloading binary")
        wget(dl_url, bin_name_x86, proxies=proxies)

    # Incrementing version of the package
    version = dl_version
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)